Unverified Commit 3933d168 authored by lauriii's avatar lauriii
Browse files

Issue #3105231 by lauriii, bnjmnm, andypost: Update backbone.js to 1.4.0

parent 48a19258
This diff is collapsed.
This diff is collapsed.
......@@ -2,10 +2,10 @@
backbone:
remote: https://github.com/jashkenas/backbone
version: "1.2.3"
version: "1.4.0"
license:
name: MIT
url: https://github.com/jashkenas/backbone/blob/1.2.3/LICENSE
url: https://github.com/jashkenas/backbone/blob/1.4.0/LICENSE
gpl-compatible: true
js:
assets/vendor/backbone/backbone-min.js: { weight: -19, minified: true }
......
......@@ -281,7 +281,7 @@ public function testVersionQueryString() {
$js_render_array = \Drupal::service('asset.js.collection_renderer')->render($js);
$rendered_js = $this->renderer->renderPlain($js_render_array);
$this->assertTrue(strpos($rendered_js, 'core/assets/vendor/backbone/backbone-min.js?v=1.2.3') > 0, 'JavaScript version identifiers correctly appended to URLs');
$this->assertTrue(strpos($rendered_js, 'core/assets/vendor/backbone/backbone-min.js?v=1.4.0') > 0, 'JavaScript version identifiers correctly appended to URLs');
}
/**
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment